------------------------------------------------------------------------------------
--Name:  	SpringFestival2024
--Creator:	由剧情表现脚本编辑器生成
--Created:	2023-12-19
------------------------------------------------------------------------------------

CppScriptMgr:SetViewPosByCell(310, 538)
local Player_3 = CppScriptMgr:AddSimplePlayer(4377, 349, 537, "", 0, 0)
Player_3:SetDir(7)
local Player_4 = CppScriptMgr:AddSimplePlayer(49180, 351, 538, "", 0, 0)
Player_4:SetZoomPercent(50)
local Player_5 = CppScriptMgr:AddSimplePlayer(49180, 350, 531, "", 0, 0)
Player_5:SetZoomPercent(50)
local Player_6 = CppScriptMgr:AddSimplePlayer(42797, 351, 534, "", 0, 0)
Player_6:SetDir(7)
local Player_7 = CppScriptMgr:AddSimplePlayer(49180, 343, 525, "", 0, 0)
Player_7:SetZoomPercent(50)
local Player_8 = CppScriptMgr:AddSimplePlayer(13117, 342, 527, "", 0, 0)
Player_8:SetDir(7)
local Player_9 = CppScriptMgr:AddSimplePlayer(105817, 342, 536, "", 0, 0)
Player_9:SetDir(7)
local Player_10 = CppScriptMgr:AddSimplePlayer(49180, 344, 537, "", 0, 0)
Player_10:SetZoomPercent(50)
local effect_1 = CppScriptMgr:AddEffect("FF14", 307, 540, 33, 1, 1, 1)
local effect_2 = CppScriptMgr:AddEffect("FF14", 319, 538, 33, 1, 1, 1)
local npc_0 = CppScriptMgr:AddSimplePlayer(1061950, 350, 527, "", 0, 0)
npc_0:SetDir(7)
local npc_1 = CppScriptMgr:AddSimplePlayer(1054477, 347, 530, "", 0, 0)
local npc_2 = CppScriptMgr:AddSimplePlayer(106037, 344, 533, "", 0, 0)
local effect_0 = CppScriptMgr:AddEffect("DoubleDance-999", 309, 540, 33, 1, 1, 1)
local effect_7 = CppScriptMgr:AddEffect("DoubleDance-999", 312, 538, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(990)
Player_3:SetAction(9998410101)
CppScriptMgr:WaitMilSec(470)
local effect_11 = CppScriptMgr:AddEffect("777_getbonus", 307, 538, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(100)
local Player_1 = CppScriptMgr:AddSimplePlayer(1054477, 309, 540, "", 0, 0)
Player_1:SetDir(7)
local Player_2 = CppScriptMgr:AddSimplePlayer(106037, 312, 538, "", 0, 0)
CppScriptMgr:WaitMilSec(990)
Player_1:SetAction(200)
Player_2:SetAction(9992730101)
Player_1:Say("The Rabbit Year departs, and the Dragon Year returns.", 1500)
CppScriptMgr:WaitMilSec(90)
local effect_8 = CppScriptMgr:AddEffect("777_getbonus", 313, 540, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(1400)
Player_2:SetAction(9992730101)
Player_2:Say("Out with the old, in with the new, and everything comes to life!", 1500)
CppScriptMgr:WaitMilSec(500)
local effect_9 = CppScriptMgr:AddEffect("777_getbonus", 308, 537, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(1320)
local effect_10 = CppScriptMgr:AddEffect("777_getbonus", 312, 537, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(320)
Player_6:Say("The auspicious dragon soars, bestowing blessings upon the land!", 3000)
Player_2:Say("The auspicious dragon soars, bestowing blessings upon the land!", 3000)
Player_3:Say("The auspicious dragon soars, bestowing blessings upon the land!", 3000)
Player_8:SetAction(9991020101)
CppScriptMgr:SetViewPosByCell(345, 532)
Player_8:Say("The auspicious dragon soars, bestowing blessings upon the land!", 3000)
local effect_3 = CppScriptMgr:AddEffect("FF14", 345, 539, 33, 1, 1, 1)
npc_1:SetAction(200)
npc_1:Say("The auspicious dragon soars, bestowing blessings upon the land!", 1000)
npc_0:SetAction(200)
Player_9:SetAction(9992680101)
npc_2:Say("The auspicious dragon soars, bestowing blessings upon the land!", 2000)
Player_9:Say("The auspicious dragon soars, bestowing blessings upon the land!", 3000)
CppScriptMgr:WaitMilSec(1360)
local effect_5 = CppScriptMgr:AddEffect("shenbing_skill1_buff", 348, 536, 33, 1, 1, 1)
effect_5:Scale(3, 3, 3)
CppScriptMgr:WaitMilSec(440)
local effect_4 = CppScriptMgr:AddEffect("FF14", 344, 537, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(3250)